ATE.b <- ATE.se <- obs <- array(dim=5)

first.stage <- glm(formula(paste("prospective.candidacy.md ~ treat.assignment.md +", 
                                 paste("seniority",2:6,collapse="+",sep="") ,"-1")),x=T,y=T)

ols.out.block1 <- robust.se(first.stage,block1)
ols.out.block2 <- robust.se(first.stage,block2)
ols.out.block3 <- robust.se(first.stage,block3)
first.stage.se <- sqrt(diag(ols.out.block1+ols.out.block2 - ols.out.block3))

purged.treatment.received.md <- first.stage$fitted.values

for (v in c(1:5)){
ols.out <- glm(formula(paste("dv[,v] ~ purged.treatment.received.md +", 
                             paste("seniority",2:6,collapse="+",sep="") ,"-1")),x=T,y=T)
obs[v] <- length(ols.out$fitted.values) 
ATE.b[v] <- ols.out$coef[1]
ols.out.block1 <- robust.se.2sls(ols.out,block1,prospective.candidacy.md)
ols.out.block2 <- robust.se.2sls(ols.out,block2,prospective.candidacy.md)
ols.out.block3 <- robust.se.2sls(ols.out,block3,prospective.candidacy.md)
ITT.vcov <- ols.out.block1+ols.out.block2 - ols.out.block3
ATE.se[v] <- sqrt(ITT.vcov[1,1])
}

ATE.p <- pnorm(-abs(ATE.b/ATE.se))*2
ATE.star <- star(ATE.p)
ATE <- cbind(ATE.b,ATE.se,ATE.p,ATE.star)
rownames(ATE) <- var.use[1:5] #Feb2#JOP




