setwd("../result")

pretreatments <- cbind(minister,vice.minister,chair,
vote1,vote2,vote3,vote4,vote.PR,age,seniority)

# balance check
balance.test <- matrix(NA,ncol(pretreatments),9)
for(i in 1:ncol(pretreatments)){
treat <- na.omit(pretreatments[at.the.end.of.the.term==1,i])
control <- na.omit(pretreatments[at.the.end.of.the.term==0,i])
pretreatment <- na.omit(pretreatments[,i])
balance.test[i,1] <- wilcox.test(treat,control)$p.value
balance.test[i,2] <- t.test(treat,control)$p.value
balance.test[i,3] <- normalized.difference(treat,control)
balance.test[i,4] <- mean(treat)
balance.test[i,5] <- mean(control)
balance.test[i,6] <- mean(pretreatment)
balance.test[i,7] <- sd(pretreatment)
balance.test[i,8] <- min(pretreatment)
balance.test[i,9] <- max(pretreatment)
}
rownames(balance.test) <- colnames(pretreatments)
colnames(balance.test) <- c("Wilcoxon","t-test","normalized difference","mean(treat)","mean(control)","mean(both)","sd","min","max")

# balance check for binary variables
balance.test.binary <- matrix(NA,3,4)
for(i in 1:3){
table.out <- table(at.the.end.of.the.term,pretreatments[,i])
prop.table.out <- prop.table(table.out,1)[,2]
balance.test.binary[i,1] <- prop.table.out[2]
balance.test.binary[i,2] <- prop.table.out[1]
balance.test.binary[i,3] <- mean(na.omit(pretreatments[,i]))
balance.test.binary[i,4] <- chisq.test(table.out)$p.value
}
rownames(balance.test.binary) <- colnames(pretreatments)[1:3]
colnames(balance.test.binary) <- c("mean(treat)","mean(control)","mean(both)","chi square test p-value")

table(vice.minister,seniority)

# balance check when missing value observations are dropped

treatment.na.omit <- at.the.end.of.the.term[attend.day==0]
balance.test.no.attend <- matrix(NA,ncol(pretreatments),3)
for(i in 1:ncol(pretreatments)){
treat <- na.omit(pretreatments[treatment.na.omit==1,i])
control <- na.omit(pretreatments[treatment.na.omit==0,i])
balance.test.no.attend[i,1] <- wilcox.test(treat,control)$p.value
balance.test.no.attend[i,2] <- t.test(treat,control)$p.value
balance.test.no.attend[i,3] <- normalized.difference(treat,control)
}
rownames(balance.test.no.attend) <- colnames(pretreatments)
colnames(balance.test.no.attend) <- c("Wilcoxon","t-test","normalized difference")

treatment.na.omit <- at.the.end.of.the.term[speak.day==0]
balance.test.no.speak <- matrix(NA,ncol(pretreatments),3)
for(i in 1:ncol(pretreatments)){
treat <- na.omit(pretreatments[treatment.na.omit==1,i])
control <- na.omit(pretreatments[treatment.na.omit==0,i])
balance.test.no.speak[i,1] <- wilcox.test(treat,control)$p.value
balance.test.no.speak[i,2] <- t.test(treat,control)$p.value
balance.test.no.speak[i,3] <- normalized.difference(treat,control)
}
rownames(balance.test.no.speak) <- colnames(pretreatments)
colnames(balance.test.no.speak) <- c("Wilcoxon","t-test","normalized difference")

setwd("../code")