plot.data <- NULL
for(var.i in c(1,2,3,5)){
  use <- (var.i-1)*5+1:5
  temp.pred <- ATE[use,1]
  UB <- temp.pred + (ATE[use,2]*qnorm(0.975))
  LB <- temp.pred - (ATE[use,2]*qnorm(0.975))
  sump <- summary(as.numeric(c(UB,LB)))
  if(sump[1]>0){sump[1] <- 0} 
  if(sump[6]<0){sump[6] <- 0} 
  yl <- c(sump[1]-(sump[6]-sump[1])/20,sump[6]+(sump[6]-sump[1])/20)
  plot.data.temp <- data.frame(UB,LB,PE=temp.pred,Seniority=2:6,var.name = var.name[var.i],ll=yl[1],ul=yl[2])
  plot.data <- rbind(plot.data,plot.data.temp)
}

rects <- data.frame(xstart = 2:6-.5, xend = 2:6-.5, col = rep(c("grey","white"),3)[1:5])


g <- ggplot(plot.data,aes(x=Seniority,y=PE,ymax=UB,ymin=LB))
g <- g + geom_rect(aes(xmin = 1.5, xmax = 2.5, ymin = -Inf, ymax = Inf), alpha = 0.05)+
  geom_rect(aes(xmin = 3.5, xmax = 4.5, ymin = -Inf, ymax = Inf), alpha = 0.05)+
  geom_rect(aes(xmin = 5.5, xmax = 6.5, ymin = -Inf, ymax = Inf), alpha = 0.05)+
  geom_hline(aes(yintercept=0),colour="grey60")+ geom_pointrange() + facet_wrap(~var.name,scales="free_y")+
  geom_blank(aes(ymax=ul,ymin=ll)) +
  theme_bw()+ylab("")
print(g)