sub.mean.vector <- function(var,idx){
  var.out <- rep(NA,length(var))
  unique.idx <- unique(idx)
  for (k in 1:length(unique.idx)){
    use.idx <- which(idx==unique.idx[k])
     if(length(na.omit(var[use.idx]))>0){ 
      var.cont.mean <- mean(na.omit(var[use.idx]))
      var.out[use.idx] <- var[use.idx] - var.cont.mean
      } 
  }
  return(var.out)
}

sub.mean.counter <- function(idx,treat){
  unique.idx <- unique(idx)
  matrix.out <- matrix(NA,length(unique.idx),3)
  for (k in 1:length(unique.idx)){
    use.idx <- which(idx==unique.idx[k])
    matrix.out[k,1] <- sum(1-treat[use.idx])
    matrix.out[k,2] <- sum(treat[use.idx])
    matrix.out[k,3] <- length(use.idx)
  }
  return(matrix.out)
}

block.no.na <- function(var,idx){
  var.out <- rep(1,length(var))
  unique.idx <- unique(idx)
  for (k in 1:length(unique.idx)){
    use.idx <- which(idx==unique.idx[k])
     if(sum(is.na(var[use.idx]))>0){
      var.out[use.idx] <- 0
      } 
  }
  return(var.out)
}

double.block.no.na <- function(var,b1,b2){
temp1 <- block.no.na(var,b1)
temp2 <- block.no.na(var,b2)
var[(temp1*temp2)==0] <- NA
var
}

robust.se <- function(out,cluster){
  x <- out$x
  if(nrow(x)!=length(cluster)){
    if(class(out)[1]=="ols"){
      cluster <- cluster[-out$na.action$omit] 
    }
    if((class(out)[1]=="glm")&(length(out$na.action)>0)){
      cluster <- cluster[-out$na.action] 
    }
  }
  coefs <- out$coef
  if(length(which(is.na(coefs))>0))x<-x[,-which(is.na(coefs))]
  par.num <- sum(!is.na(coefs))
  u <- out$residuals 
  unique.cluster <- unique(cluster)
  cluster.num <- length(unique.cluster)
  xu.sq <- matrix(0,par.num,par.num)
  for(g in 1:cluster.num){
    x.g <- x[which(cluster==unique.cluster[g]),,drop=F]
    u.g <- matrix(u[which(cluster==unique.cluster[g])],ncol=1)
    xu.g <- t(x.g)%*%u.g
    xu.sq <- xu.sq + xu.g%*%t(xu.g)
  }
  n <- length(u)
  x.sq <- solve((t(x)%*%x))
  robust.cov <- (x.sq%*%xu.sq%*%x.sq)*(cluster.num/(cluster.num-1))*((n-1)/(n-(par.num-1))) 
  return(robust.cov)
}

robust.se.2sls <- function(out,cluster,endogeneous){
  x <- out$x
  if(nrow(x)!=length(cluster)){
    if(class(out)[1]=="ols"){
      cluster <- cluster[-out$na.action$omit] 
    }
    if((class(out)[1]=="glm")&(length(out$na.action)>0)){
      cluster <- cluster[-out$na.action]
      endogeneous <- endogeneous[-out$na.action] 
    }
  }
  coefs <- out$coef
  if(length(which(is.na(coefs))>0))x<-x[,-which(is.na(coefs))]
  par.num <- sum(!is.na(coefs))
  u <- out$y-(cbind(endogeneous,x[,-1])%*%coefs) 
  unique.cluster <- unique(cluster)
  cluster.num <- length(unique.cluster)
  xu.sq <- matrix(0,par.num,par.num)
  for(g in 1:cluster.num){
    x.g <- x[which(cluster==unique.cluster[g]),,drop=F]
    u.g <- matrix(u[which(cluster==unique.cluster[g])],ncol=1)
    xu.g <- t(x.g)%*%u.g
    xu.sq <- xu.sq + xu.g%*%t(xu.g)
  }
  n <- length(u)
  x.sq <- solve((t(x)%*%x))
  robust.cov <- (x.sq%*%xu.sq%*%x.sq)*(cluster.num/(cluster.num-1))*((n-1)/(n-(par.num-1))) 
  return(robust.cov)
}

star <- function(p){
  star <- rep(0,length(p))
  star[p<0.05] <- 5
  star[p<0.01] <- 1
  star
}

normalized.difference <- function(treat,control){
(mean(treat) - mean(control))/sqrt((var(treat) + var(control))/2)
}