###################################
# arrange missing values of the data

data$prospective.candidacy[is.na(data$prospective.candidacy==1)] <- 0

data$attend.day.1[data$session==4] <- NA
data$speak.day.1[data$session==4] <- NA
data$letter.1[data$session==4] <- NA

#####################
# make new variables

attach(data)

retiree <- (prospective.candidacy==0)*(at.the.end.of.the.term==1)

speak.day.per.attend.day <- speak.day/attend.day
speak.day.per.attend.day[attend.day==0] <- NA
letter.per.speak.day <- letter/speak.day
letter.per.speak.day[speak.day==0] <- NA

speak.day.per.attend.day.1 <- speak.day.1/attend.day.1
speak.day.per.attend.day.1[attend.day.1==0] <- NA
letter.per.speak.day.1 <- letter.1/speak.day.1
letter.per.speak.day.1[speak.day.1==0] <- NA

speak.day.per.attend.day.2 <- speak.day.2/attend.day.2
speak.day.per.attend.day.2[attend.day.2==0] <- NA
letter.per.speak.day.2 <- letter.2/speak.day.2
letter.per.speak.day.2[speak.day.2==0] <- NA

speak.day.per.attend.day.3 <- speak.day.3/attend.day.3
speak.day.per.attend.day.3[attend.day.3==0] <- NA
letter.per.speak.day.3 <- letter.3/speak.day.3
letter.per.speak.day.3[speak.day.3==0] <- NA

speak.day.per.attend.day.4 <- speak.day.4/attend.day.4
speak.day.per.attend.day.4[attend.day.4==0] <- NA
letter.per.speak.day.4 <- letter.4/speak.day.4
letter.per.speak.day.4[speak.day.4==0] <- NA

speak.day.per.attend.day.5 <- speak.day.5/attend.day.5
speak.day.per.attend.day.5[attend.day.5==0] <- NA
letter.per.speak.day.5 <- letter.5/speak.day.5
letter.per.speak.day.5[speak.day.5==0] <- NA

# make pretreatments
vote1 <- vote2 <- vote3 <- vote4 <- vote.PR <- as.numeric(vote)
vote1[magnitude!=1] <- NA
vote2[magnitude!=2] <- NA
vote3[magnitude!=3] <- NA
vote4[magnitude!=4] <- NA
vote.PR[magnitude<6] <- NA

data <- cbind(data,speak.day.per.attend.day,letter.per.speak.day,
speak.day.per.attend.day.1,speak.day.per.attend.day.2,speak.day.per.attend.day.3,speak.day.per.attend.day.4,speak.day.per.attend.day.5,
letter.per.speak.day.1,letter.per.speak.day.2,letter.per.speak.day.3,letter.per.speak.day.4,letter.per.speak.day.5,
vote1,vote2,vote3,vote4,vote.PR,retiree)

rm(speak.day.per.attend.day,letter.per.speak.day,
speak.day.per.attend.day.1,speak.day.per.attend.day.2,speak.day.per.attend.day.3,speak.day.per.attend.day.4,speak.day.per.attend.day.5,
letter.per.speak.day.1,letter.per.speak.day.2,letter.per.speak.day.3,letter.per.speak.day.4,letter.per.speak.day.5,
vote1,vote2,vote3,vote4,vote.PR,retiree)

detach(data)