first.stage <- glm(prospective.candidacy.md ~ treat.assignment.md + seniority.md -1,x=T,y=T)
purged.treatment.received.md <- first.stage$fitted.values
ols.out.block1 <- robust.se(first.stage,block1)
ols.out.block2 <- robust.se(first.stage,block2)
ols.out.block3 <- robust.se(first.stage,block3)
first.stage.se <- sqrt(diag(ols.out.block1+ols.out.block2 - ols.out.block3))

ATE.b <- ATE.se <- obs <- array(dim=var.num)
for (v in c(1:var.num)){
ols.out <- glm(dv[,v] ~ purged.treatment.received.md + seniority.md -1,x=T,y=T)
obs[v] <- length(ols.out$fitted.values) #obs.num - sum(is.na(d2dv))
ATE.b[v] <- ols.out$coef[1]
ols.out.block1 <- robust.se.2sls(ols.out,block1,prospective.candidacy.md)
ols.out.block2 <- robust.se.2sls(ols.out,block2,prospective.candidacy.md)
ols.out.block3 <- robust.se.2sls(ols.out,block3,prospective.candidacy.md)
ATE.se[v] <- sqrt((ols.out.block1+ols.out.block2 - ols.out.block3)[1,1])
}
ATE.p <- pnorm(-abs(ATE.b/ATE.se))*2
ATE.star <- star(ATE.p)
ATE <- cbind(ATE.b,ATE.se,ATE.p,ATE.star)
rownames(ATE) <- var.use[1:var.num]


