national <- district.ID==0
prefectural <- district.ID!=0

first.stage <- glm(prospective.candidacy.md ~ treat.assignment.md + seniority.md -1,x=T,y=T)#JOP
purged.treatment.received.md <- first.stage$fitted.values

ATE.prefectural.b <- ATE.prefectural.se <- ATE.national.b <- ATE.national.se <- obs.national <- obs.prefectural <-array(dim=5)
for (v in c(1:5)){
  ols.out <- glm(dv[national,v] ~ purged.treatment.received.md[national] + seniority.md[national] -1,x=T,y=T)
  obs.national[v] <- length(ols.out$fitted.values) 
  ATE.national.b[v] <- ols.out$coef[1]
  ols.out.block1 <- robust.se.2sls(ols.out,block1[national],prospective.candidacy.md[national])
  ols.out.block2 <- robust.se.2sls(ols.out,block2[national],prospective.candidacy.md[national])
  ols.out.block3 <- robust.se.2sls(ols.out,block3[national],prospective.candidacy.md[national])
  ATE.national.se[v] <- sqrt((ols.out.block1+ols.out.block2 - ols.out.block3)[1,1])
  
  ols.out <- glm(dv[prefectural,v] ~ purged.treatment.received.md[prefectural] + seniority.md[prefectural] -1,x=T,y=T)#no -1, offset=-1
  obs.prefectural[v] <- length(ols.out$fitted.values) 
  ATE.prefectural.b[v] <- ols.out$coef[1]
  ols.out.block1 <- robust.se.2sls(ols.out,block1[prefectural],prospective.candidacy.md[prefectural])
  ols.out.block2 <- robust.se.2sls(ols.out,block2[prefectural],prospective.candidacy.md[prefectural])
  ols.out.block3 <- robust.se.2sls(ols.out,block3[prefectural],prospective.candidacy.md[prefectural])
  ATE.prefectural.se[v] <- sqrt((ols.out.block1+ols.out.block2 - ols.out.block3)[1,1])  
}

ATE.national.p <- pnorm(-abs(ATE.national.b/ATE.national.se))*2
ATE.national.star <- star(ATE.national.p)
ATE.national <- cbind(ATE.national.b,ATE.national.se,ATE.national.p,ATE.national.star)
rownames(ATE.national) <- var.use[1:5]
write.csv(ATE.national,"../result/ATE.national.csv")

ATE.prefectural.p <- pnorm(-abs(ATE.prefectural.b/ATE.prefectural.se))*2
ATE.prefectural.star <- star(ATE.prefectural.p)
ATE.prefectural <- cbind(ATE.prefectural.b,ATE.prefectural.se,ATE.prefectural.p,ATE.prefectural.star)
rownames(ATE.prefectural) <- var.use[1:5]
write.csv(ATE.prefectural,"../result/ATE.prefectural.csv")

names(obs.national) <- names(obs.prefectural) <- var.name

